#include <avr/io.h>
#include <avr/interrupt.h>

#include "display.h"
#include "serial.h"

extern char display_buffer[300];

int main()
{
   display_init();
   serial_init();

   sei();

   uint16_t i = 0;

   while (1) {
      uint8_t c = serial_getc();

      if (c == '@')
         i = 0;
      else {
         display_buffer[i] = c - 'A';

         if (i < 299)
            i = i + 1;
         else
            i = 0;
      }
   }
}
